"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class ArrayCreate extends APIFunction_1.APIFunction {
    name = "$arrayCreate";
    description = "Creates a new array.";
    parameters = [{
            name: "Name",
            description: "The name for the array.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }, {
            name: "Elements",
            description: "Elements to form the array.",
            type: APIFunction_1.ParamType.List,
            required: true,
            rest: false,
            defaultValue: null
        }, {
            name: "Separator",
            description: "Element separator to split the text.",
            type: APIFunction_1.ParamType.String,
            required: false,
            rest: false,
            defaultValue: ","
        }];
    usage = "$arrayCreate[name;elements;separator?]";
    aliases = ["$createArray", "$newArray"];
    returns = APIFunction_1.ParamType.Unknown;
    compile = true;
    async run(d, [name, elements, sep]) {
        d.setInternalVar(`NodeJS.Arrays:${name}`, elements.split(sep ?? ","));
    }
}
exports.default = ArrayCreate;
;
