"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Error_1 = require("../../structures/Error");
class ArrayDelete extends APIFunction_1.APIFunction {
    name = "$arrayDelete";
    description = "Deletes an array from the environment data.";
    parameters = [{
            name: "Name",
            description: "The name of the array.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$arrayDelete[name]";
    aliases = [];
    returns = APIFunction_1.ParamType.Unknown;
    compile = true;
    async run(d, [name]) {
        if (!d.internalVarExists(`NodeJS.Arrays:${name}`)) {
            throw new Error_1.EATS_Error(`Invalid array name in: ${d.function?.name}`);
        }
        d.deleteInternalVar(`NodeJS.Arrays:${name}`);
    }
}
exports.default = ArrayDelete;
;
