"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Util_1 = require("../../classes/Util");
class ArrayExists extends APIFunction_1.APIFunction {
    name = "$arrayExists";
    description = "Checks if an array exists or not.";
    parameters = [{
            name: "Name",
            description: "The name of the array.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$arrayExists[name]";
    returns = APIFunction_1.ParamType.Boolean;
    aliases = [];
    compile = true;
    async run(d, [name]) {
        return Util_1.Util.stringBool(d.internalVarExists(`NodeJS.Arrays:${name}`));
    }
}
exports.default = ArrayExists;
;
