"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Error_1 = require("../../structures/Error");
const Util_1 = require("../../classes/Util");
class ArrayIncludes extends APIFunction_1.APIFunction {
    name = "$arrayIncludes";
    description = "Returns whether the array contains the provided element or not.";
    parameters = [{
            name: "Name",
            description: "The name of the array.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }, {
            name: "Word",
            description: "Word to be found.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$arrayIncludes[name;word]";
    returns = APIFunction_1.ParamType.String;
    aliases = ["$arrayContains"];
    compile = true;
    async run(d, [name, word]) {
        if (!d.internalVarExists(`NodeJS.Arrays:${name}`)) {
            throw new Error_1.EATS_Error(`Invalid array name in: ${d.function?.name}`);
        }
        const array = d.getInternalVar(`NodeJS.Arrays:${name}`);
        return Util_1.Util.stringBool(array?.includes(word));
    }
}
exports.default = ArrayIncludes;
;
