"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Error_1 = require("../../structures/Error");
class ArrayJoin extends APIFunction_1.APIFunction {
    name = "$arrayJoin";
    description = "Joins an array using the provided separator.";
    parameters = [{
            name: "Name",
            description: "The name of the array.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }, {
            name: "Separator",
            description: "Character to join the elements.",
            type: APIFunction_1.ParamType.String,
            required: false,
            rest: false,
            defaultValue: ","
        }];
    usage = "$arrayJoin[name;separator?]";
    returns = APIFunction_1.ParamType.String;
    aliases = [];
    compile = true;
    async run(d, [name, sep = ","]) {
        if (!d.internalVarExists(`NodeJS.Arrays:${name}`)) {
            throw new Error_1.EATS_Error(`Invalid array name in: ${d.function?.name}`);
        }
        const array = d.getInternalVar(`NodeJS.Arrays:${name}`);
        return array.join(sep);
    }
}
exports.default = ArrayJoin;
;
