"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Error_1 = require("../../structures/Error");
class ArrayLength extends APIFunction_1.APIFunction {
    name = "$arrayLength";
    description = "Returns the array length.";
    parameters = [{
            name: "Name",
            description: "The name of the array.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$arrayLength[name]";
    returns = APIFunction_1.ParamType.Number;
    aliases = [];
    compile = true;
    async run(d, [name]) {
        if (!d.internalVarExists(`NodeJS.Arrays:${name}`)) {
            throw new Error_1.EATS_Error(`Invalid array name in: ${d.function?.name}`);
        }
        const array = d.getInternalVar(`NodeJS.Arrays:${name}`);
        return array.length.toString();
    }
}
exports.default = ArrayLength;
;
