"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Error_1 = require("../../structures/Error");
class ArraySort extends APIFunction_1.APIFunction {
    name = "$arraySort";
    description = "Sorts an array alphabetically.";
    parameters = [{
            name: "Name",
            description: "The name of the array.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$arraySort[name]";
    returns = APIFunction_1.ParamType.String;
    aliases = [];
    compile = true;
    async run(d, [name]) {
        if (!d.internalVarExists(`NodeJS.Arrays:${name}`)) {
            throw new Error_1.EATS_Error(`Invalid array name in: ${d.function?.name}`);
        }
        let array = d.getInternalVar(`NodeJS.Arrays:${name}`);
        array = array.sort();
        d.setInternalVar(`NodeJS.Arrays:${name}`, array);
    }
}
exports.default = ArraySort;
;
