"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Util_1 = require("../../classes/Util");
class IsBool extends APIFunction_1.APIFunction {
    name = "$isBool";
    description = "Returns wheter the text inside is a boolean.";
    parameters = [{
            name: "Text",
            description: "The text to be tested.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$isBool[text]";
    returns = APIFunction_1.ParamType.Boolean;
    aliases = ["$testBool"];
    compile = true;
    async run(d, [text]) {
        return Util_1.Util.stringBool(text === "true" || text === "false");
    }
}
exports.default = IsBool;
