"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Util_1 = require("../../classes/Util");
class IsBool extends APIFunction_1.APIFunction {
    name = "$isFloat";
    description = "Returns wheter the text inside is float.";
    parameters = [{
            name: "Text",
            description: "The text to be tested.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$isFloat[text]";
    returns = APIFunction_1.ParamType.Boolean;
    aliases = ["$testFloat"];
    compile = true;
    async run(d, [text]) {
        return Util_1.Util.stringBool(Number(text) % 1 !== 0);
    }
}
exports.default = IsBool;
