"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Util_1 = require("../../classes/Util");
class TestHex extends APIFunction_1.APIFunction {
    name = "$isValidHex";
    description = "Returns wheter the text inside is a valid hex code.";
    parameters = [{
            name: "Text",
            description: "The text to be tested.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$isValidHex[text]";
    returns = APIFunction_1.ParamType.Boolean;
    aliases = ["$testHexCode"];
    compile = true;
    async run(d, [text]) {
        return Util_1.Util.stringBool(Util_1.Util.isValidHex(text));
    }
}
exports.default = TestHex;
