"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class BufferCreate extends APIFunction_1.APIFunction {
    name = "$bufferCreate";
    description = "Creates a new buffer.";
    parameters = [{
            name: "Name",
            description: "The name of the array.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }, {
            name: "Content",
            description: "Buffer content.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$bufferCreate[name;content]";
    returns = APIFunction_1.ParamType.Unknown;
    aliases = [];
    compile = true;
    async run(d, [name, content]) {
        d.setInternalVar(`NodeJS.Buffers:${name}`, Buffer.from(content, 'utf-8'));
    }
}
exports.default = BufferCreate;
;
