"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Error_1 = require("../../structures/Error");
class BufferLength extends APIFunction_1.APIFunction {
    name = "$bufferLength";
    description = "Returns the requested buffer left.";
    parameters = [{
            name: "Name",
            description: "The name of the array.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$bufferLength[name]";
    returns = APIFunction_1.ParamType.Number;
    aliases = [];
    compile = true;
    async run(d, [name]) {
        if (!d.internalVarExists(`NodeJS.Buffers:${name}`)) {
            throw new Error_1.EATS_Error("Invalid buffer name in: " + d.function?.name);
        }
        const buffer = d.getInternalVar(`NodeJS.Buffers:${name}`);
        return buffer.length.toString();
    }
}
exports.default = BufferLength;
;
