"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const APIFunction_1 = require("../../structures/APIFunction");
const Error_1 = require("../../structures/Error");
const createCanvas_1 = tslib_1.__importDefault(require("./createCanvas"));
const canvas_1 = require("@napi-rs/canvas");
class CanvasHeight extends APIFunction_1.APIFunction {
    name = "$canvasHeight";
    description = "Retrieves the canvas height.";
    parameters = [];
    usage = this.name;
    returns = APIFunction_1.ParamType.Number;
    aliases = [];
    compile = true;
    parent = new createCanvas_1.default;
    async run(d) {
        const canvas = d.parent.getInternalVar("NodeJS.Canvas");
        if (!(canvas instanceof canvas_1.Canvas)) {
            throw new Error_1.EATS_Error(`Environment#canvas is not a instance of Canvas: "${d.function?.name}"`);
        }
        return canvas.height.toString();
    }
}
exports.default = CanvasHeight;
