"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Util_1 = require("../../classes/Util");
class CreateCanvas extends APIFunction_1.APIFunction {
    name = "$createCanvas";
    description = "Create a new canvas to draw on.";
    parameters = [{
            name: "Content",
            description: "Canvas instructions to be executed.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$createCanvas[content]";
    returns = APIFunction_1.ParamType.Unknown;
    compile = false;
    aliases = [];
    async run(d, [content]) {
        const data = d.extend(d._, d.__);
        data.functions.load(__dirname, (fn) => fn.parent && fn.parent.name === this.name ? true : false);
        const injects = d.functions.getTargettedInjections('$createcanvas');
        if (injects) {
            for (const [key, value] of Object.entries(injects)) {
                data.functions.add(key, value);
            }
        }
        const result = await Util_1.Util.resolveCode(data, content);
    }
}
exports.default = CreateCanvas;
