"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const APIFunction_1 = require("../../structures/APIFunction");
const Error_1 = require("../../structures/Error");
const createCanvas_1 = tslib_1.__importDefault(require("./createCanvas"));
class ImageWidth extends APIFunction_1.APIFunction {
    name = "$imageWidth";
    description = "Returns the width of the image.";
    parameters = [{
            name: "Image ID",
            description: "Cached image ID to get the width from.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$imageWidth[id]";
    returns = APIFunction_1.ParamType.Number;
    aliases = [];
    compile = true;
    parent = new createCanvas_1.default;
    async run(d, [id]) {
        if (d.parent.internalVarExists(`NodeJS.Images:${id}`)) {
            throw new Error_1.EATS_Error(`Invalid image ID at: "${d.function?.name}"`);
        }
        const image = d.parent.getInternalVar(`NodeJS.Images:${id}`);
        return image.width.toString();
    }
}
exports.default = ImageWidth;
