"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const APIFunction_1 = require("../../structures/APIFunction");
const createCanvas_1 = tslib_1.__importDefault(require("./createCanvas"));
const Util_1 = require("../../classes/Util");
class CheckImage extends APIFunction_1.APIFunction {
    name = "$isImage";
    description = "Check if the given ID belongs to a valid cached image ID.";
    parameters = [{
            name: "Image ID",
            description: "Cached image ID to be downloaded.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$isImage[id]";
    returns = APIFunction_1.ParamType.Boolean;
    aliases = [];
    compile = true;
    parent = new createCanvas_1.default;
    async run(d, [id]) {
        return Util_1.Util.stringBool(d.parent.internalVarExists(`NodeJS.Images:${id}`));
    }
}
exports.default = CheckImage;
