"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const canvas_1 = require("@napi-rs/canvas");
const Util_1 = require("../../classes/Util");
class RegisterFont extends APIFunction_1.APIFunction {
    name = "$registerFont";
    description = "Register a font in your system.";
    parameters = [{
            name: "Family",
            description: "Font family.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }, {
            name: "Path",
            description: "Font path.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$registerFont[family;font]";
    returns = APIFunction_1.ParamType.Boolean;
    aliases = [];
    compile = true;
    async run(d, [family, path]) {
        return Util_1.Util.stringBool(canvas_1.GlobalFonts.registerFromPath(path, family));
    }
}
exports.default = RegisterFont;
