"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const APIFunction_1 = require("../../structures/APIFunction");
const canvas_1 = require("@napi-rs/canvas");
const Error_1 = require("../../structures/Error");
const createCanvas_1 = tslib_1.__importDefault(require("./createCanvas"));
class RemoveEffect extends APIFunction_1.APIFunction {
    name = "$removeEffect";
    description = "Removes an effect from the canvas.";
    parameters = [];
    usage = "$removeEffect";
    returns = APIFunction_1.ParamType.Unknown;
    aliases = [];
    compile = true;
    parent = new createCanvas_1.default;
    async run(d) {
        if (!d.parent.internalVarExists("NodeJS.Canvas")) {
            throw new Error_1.EATS_Error(`Unable to find a valid canvas at: "${d.function?.name}"`);
        }
        const canvas = d.parent.getInternalVar("NodeJS.Canvas");
        if (!(canvas instanceof canvas_1.Canvas)) {
            throw new Error_1.EATS_Error(`Environment#canvas is not a instance of Canvas: "${d.function?.name}"`);
        }
        const ctx = d.parent.getInternalVar("NodeJS.CanvasContext");
        ctx.filter = "none";
        ctx.save();
    }
}
exports.default = RemoveEffect;
