"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Condition_1 = require("../../classes/Condition");
const Util_1 = require("../../classes/Util");
class And extends APIFunction_1.APIFunction {
    name = "$and";
    description = "Check wether all expressions are met.";
    parameters = [{
            name: "Expression",
            description: "The expression to be evaluated.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: true,
            defaultValue: null
        }];
    usage = "$and[...expressions]";
    returns = APIFunction_1.ParamType.Boolean;
    aliases = [];
    compile = true;
    async run(d, [...expressions]) {
        const results = [];
        expressions.forEach((expression) => {
            const evaluation = new Condition_1.Condition().solve(expression);
            results.push(evaluation);
        });
        return Util_1.Util.stringBool(results.every((res) => res === true));
    }
}
exports.default = And;
