"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const APIFunction_1 = require("../../structures/APIFunction");
const Error_1 = require("../../structures/Error");
const Util_1 = require("../../classes/Util");
const switch_1 = tslib_1.__importDefault(require("./switch"));
class Case extends APIFunction_1.APIFunction {
    name = "$case";
    description = "A switch case statement.";
    parameters = [{
            name: "Value",
            description: "Required value to execute the case.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }, {
            name: "Code",
            description: "Code to be executed.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$case[value;code]";
    returns = APIFunction_1.ParamType.Unknown;
    aliases = [];
    compile = false;
    parent = new switch_1.default;
    async run(d, [caseName, caseValue]) {
        if (!d.internalVarExists("NodeJS.SwitchCases")) {
            throw new Error_1.EATS_Error(`Unable to create a case because holder doesn't exists somehow: ${d.function.name}`);
        }
        caseName = await Util_1.Util.resolveCode(d, caseName);
        const groups = d.getInternalVar("NodeJS.SwitchCases");
        groups.set(caseName, caseValue);
    }
}
exports.default = Case;
