"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Condition_1 = require("../../classes/Condition");
const Util_1 = require("../../classes/Util");
class CheckCondition extends APIFunction_1.APIFunction {
    name = "$condition";
    description = "Parses a condition.";
    parameters = [{
            name: "Expression",
            description: "The expression to be parsed.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$condition[expression]";
    returns = APIFunction_1.ParamType.Boolean;
    aliases = ["$checkCondition", "$parseCondition"];
    compile = true;
    async run(d, [expression]) {
        const conditionResult = new Condition_1.Condition().solve(expression);
        return Util_1.Util.stringBool(conditionResult);
    }
}
exports.default = CheckCondition;
