"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Util_1 = require("../../classes/Util");
class Not extends APIFunction_1.APIFunction {
    name = "$not";
    description = "Check if the given value is falsy.";
    parameters = [{
            name: "Value",
            description: "Value to be tested.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$not[value]";
    returns = APIFunction_1.ParamType.Boolean;
    aliases = [];
    compile = true;
    async run(d, [value]) {
        return Util_1.Util.stringBool(Util_1.Util.parse(value) === null);
    }
}
exports.default = Not;
