"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Error_1 = require("../../structures/Error");
class ClearTimeout extends APIFunction_1.APIFunction {
    name = "$clearTimeout";
    description = "Clears a NodeJS timeout.";
    parameters = [{
            name: "Name",
            description: "The name for this timeout.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$clearTimeout[name]";
    returns = APIFunction_1.ParamType.Unknown;
    aliases = [];
    compile = true;
    async run(d, [name]) {
        if (!d.internalVarExists(`NodeJS.Timeout:${name}`)) {
            throw new Error_1.EATS_Error(`Invalid timeout name at: ${d.function.name}`);
        }
        const timeout = d.getInternalVar(`NodeJS.Timeout:${name}`);
        clearTimeout(timeout);
    }
}
exports.default = ClearTimeout;
;
