"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Util_1 = require("../../classes/Util");
class CreateCallback extends APIFunction_1.APIFunction {
    name = "$createCallback";
    description = "Creates a native custom function.";
    parameters = [{
            name: "Name",
            description: "Native function name.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }, {
            name: "Code",
            description: "Native function code.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: true,
            defaultValue: null
        }];
    usage = "$createCallback[name;code]";
    aliases = ["$function", "$newFunction", "$newCallback", "$createFunction"];
    returns = APIFunction_1.ParamType.Unknown;
    compile = false;
    async run(d, [name, code]) {
        name = await Util_1.Util.resolveCode(d, name);
        d.setInternalVar(`NodeJS.Callbacks:${name}`, code);
    }
}
exports.default = CreateCallback;
