"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const APIFunction_1 = require("../../structures/APIFunction");
const util_1 = require("util");
const _ = tslib_1.__importStar(require("lodash"));
class $data extends APIFunction_1.APIFunction {
    name = "$data";
    description = "Retrieves a property from environment data.";
    parameters = [{
            name: "Path",
            description: "Property path to be retrieved.",
            type: APIFunction_1.ParamType.String,
            required: false,
            rest: false,
            defaultValue: null
        }];
    usage = "$data[path]";
    returns = APIFunction_1.ParamType.Unknown;
    aliases = [];
    compile = true;
    async run(d, [path]) {
        if (path === undefined) {
            return (0, util_1.inspect)(d, { depth: 1 });
        }
        const found = _.get(d, path);
        return found === undefined ? "undefined" : (0, util_1.inspect)(found, { depth: 1 });
    }
}
exports.default = $data;
