"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Error_1 = require("../../structures/Error");
class ENV extends APIFunction_1.APIFunction {
    name = "$env";
    description = "Retrieves a environment variable.";
    parameters = [{
            name: "Variable Name",
            description: "The variable name to be retrieved from Node environment variables.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }, {
            name: "Authorize",
            description: "Whether authorize this variable to be retrieved. (boolean value)",
            type: APIFunction_1.ParamType.Boolean,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$env[varName;authorize]";
    returns = APIFunction_1.ParamType.Unknown;
    aliases = [];
    compile = true;
    async run(d, [name, auth]) {
        if (!["true", "false"].includes(auth))
            throw new Error_1.EATS_Error("Invalid boolean in: " + d.function?.name);
        if (auth === "false")
            return;
        return process.env[name]?.toString() ?? "null";
    }
}
exports.default = ENV;
