"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Util_1 = require("../../classes/Util");
class Eval extends APIFunction_1.APIFunction {
    name = "$eval";
    description = "Evaluates easy-api.ts code.";
    parameters = [{
            name: "Return Code",
            description: "Whether return evaluation result. (boolean value)",
            type: APIFunction_1.ParamType.Boolean,
            required: true,
            rest: false,
            defaultValue: null
        }, {
            name: "Code",
            description: "Native code to be evaluated.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$eval[return;code]";
    returns = APIFunction_1.ParamType.Unknown;
    aliases = [];
    compile = true;
    async run(d, [retrieve = "false", code]) {
        const result = await Util_1.Util.resolveCode(d, code, "data");
        if (Util_1.Util.booleanify(retrieve)) {
            return result.code ?? "";
        }
    }
}
exports.default = Eval;
