"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Error_1 = require("../../structures/Error");
class Ignore extends APIFunction_1.APIFunction {
    name = "$ignore";
    description = "Ignores the code inside.";
    parameters = [{
            name: "Code",
            description: "Code to be ignored.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }, {
            name: "Return",
            description: "Whether return the original input.",
            type: APIFunction_1.ParamType.Boolean,
            required: false,
            rest: false,
            defaultValue: "false"
        }];
    usage = "$ignore[code;return?]";
    returns = APIFunction_1.ParamType.Unknown;
    compile = false;
    aliases = [];
    async run(d, [code, retrieve = "false"]) {
        if (!["true", "false"].includes(retrieve.toLowerCase())) {
            throw new Error_1.EATS_Error(`Invalid boolean value at: ${d.function?.name}`);
        }
        if (retrieve === "true")
            return code;
    }
}
exports.default = Ignore;
