"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const APIFunction_1 = require("../../structures/APIFunction");
const _ = tslib_1.__importStar(require("lodash"));
class Import extends APIFunction_1.APIFunction {
    name = "$import";
    description = "Import a property into a file.";
    parameters = [{
            name: "Path",
            description: "File path to import the property from.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }, {
            name: "Property",
            description: "Property key to be imported from file.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$import[path;property]";
    returns = APIFunction_1.ParamType.Unknown;
    aliases = ["$require"];
    compile = true;
    async run(d, [path, property]) {
        const file = require(path);
        const prop = _.get(file, property, "null");
        return prop.toString();
    }
}
exports.default = Import;
