"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const path_1 = require("path");
class Join extends APIFunction_1.APIFunction {
    name = "$pathJoin";
    description = "Joins the provided paths.";
    parameters = [{
            name: "Paths",
            description: "Paths to be joined.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: true,
            defaultValue: null
        }];
    usage = "$pathJoin[...paths]";
    returns = APIFunction_1.ParamType.String;
    aliases = ["$join"];
    compile = true;
    async run(d, [...paths]) {
        return (0, path_1.join)(...paths);
    }
}
exports.default = Join;
