"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Util_1 = require("../../classes/Util");
const util_1 = require("util");
class JSEval extends APIFunction_1.APIFunction {
    name = "$jsEval";
    description = "Evaluates JavaScript code.";
    parameters = [{
            name: "Return Code",
            description: "Whether return evaluation result. (boolean value)",
            type: APIFunction_1.ParamType.Boolean,
            required: true,
            rest: false,
            defaultValue: null
        }, {
            name: "Code",
            description: "JavaScript code to be evaluated.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: true,
            defaultValue: null
        }];
    usage = "$jsEval[return;code]";
    returns = APIFunction_1.ParamType.Unknown;
    aliases = ["$js"];
    compile = false;
    async run(d, [retrieve = "false", ...code]) {
        const packages = d.getInternalVar("ADD_PKGS") ?? [];
        if (packages.length > 0) {
            code.unshift(packages.map((pkg) => `const ${pkg.property === null ? pkg.name : "{ " + pkg.property + " }"} = require("${pkg.name}")`).join("\n"));
        }
        const resolved = await Util_1.Util.resolveCode(d, code.join(";"));
        let result = "";
        try {
            result = eval(resolved);
        }
        catch (e) {
            result = e.message;
        }
        if (Util_1.Util.booleanify(retrieve)) {
            return typeof (result) === "object"
                ? (0, util_1.inspect)(result, { depth: 2 })
                : result.toString();
        }
    }
}
exports.default = JSEval;
