"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class Log extends APIFunction_1.APIFunction {
    name = "$log";
    description = "Logs something in the console.";
    parameters = [{
            name: "Texts",
            description: "Texts to be logged in the console.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: true,
            defaultValue: null
        }];
    usage = "$log[...texts]";
    returns = APIFunction_1.ParamType.Unknown;
    aliases = ["$print", "$echo"];
    compile = true;
    async run(d, [...texts]) {
        console.log(...texts);
    }
}
exports.default = Log;
