"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const APIFunction_1 = require("../../structures/APIFunction");
const scope_1 = tslib_1.__importDefault(require("./scope"));
class Return extends APIFunction_1.APIFunction {
    name = "$return";
    description = "Returns a value outside a scope.";
    parameters = [{
            name: "Value",
            description: "Value to be retrieved to the outside.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$return[value]";
    returns = APIFunction_1.ParamType.Unknown;
    compile = true;
    aliases = [];
    parent = new scope_1.default;
    async run(d, [internalValue]) {
        d.parent.setInternalVar("__SCOPE_RETURN__", internalValue);
    }
}
exports.default = Return;
