"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Util_1 = require("../../classes/Util");
class Scope extends APIFunction_1.APIFunction {
    name = "$scope";
    description = "Executes a code field inside a different data scope.";
    parameters = [{
            name: "Code",
            description: "Code to be executed inside the new scope.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }, {
            name: "New",
            description: "Whether create a new scope or inherit data from the parent scope.",
            type: APIFunction_1.ParamType.Boolean,
            required: false,
            rest: false,
            defaultValue: "false"
        }];
    usage = "$scope[code;new?]";
    returns = APIFunction_1.ParamType.Unknown;
    aliases = ["$block"];
    compile = false;
    async run(d, [code, create = "true"]) {
        // code = await Util.resolveCode<string>(d, code);
        create = await Util_1.Util.resolveCode(d, create);
        const data = d.extend(d._, d.__);
        if (Util_1.Util.booleanify(create)) {
            data.overrideVars(null);
        }
        data.functions.load(__dirname, (fn) => typeof fn.parent !== "undefined" && fn.parent.name === this.name);
        const resolved = await Util_1.Util.resolveCode(data, code);
        return data.internalVarExists("__SCOPE_RETURN__") ? data.getInternalVar("__SCOPE_RETURN__") : resolved;
    }
}
exports.default = Scope;
