"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Util_1 = require("../../classes/Util");
class Sync extends APIFunction_1.APIFunction {
    name = "$sync";
    description = "Executes code synchronously, so, the interpreter won't wait for its execution.";
    parameters = [{
            name: "Code",
            description: "Code to be executed.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$sync[code]";
    returns = APIFunction_1.ParamType.Unknown;
    compile = false;
    aliases = [];
    async run(d, [code]) {
        Util_1.Util.resolveCode(d, code).then(() => {
            return void 0;
        });
    }
}
exports.default = Sync;
