"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const APIFunction_1 = require("../../structures/APIFunction");
const ms_1 = tslib_1.__importDefault(require("ms"));
class Wait extends APIFunction_1.APIFunction {
    name = "$wait";
    description = "Holds code execution for the given time.";
    parameters = [{
            name: "Duration",
            description: "The duration to hold code execution.",
            type: APIFunction_1.ParamType.Time,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$wait[duration]";
    returns = APIFunction_1.ParamType.Unknown;
    aliases = ["$sleep"];
    compile = true;
    async run(d, [time]) {
        await new Promise(res => setTimeout(res, (0, ms_1.default)(time)));
    }
}
exports.default = Wait;
