"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class SetLocale extends APIFunction_1.APIFunction {
    name = "$dateSetLocale";
    description = "Set the system locale.";
    parameters = [{
            name: "Locale",
            description: "Locale to be set.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$dateSetLocale[locale]";
    returns = APIFunction_1.ParamType.Unknown;
    aliases = [];
    compile = true;
    async run(d, [locale]) {
        d.setLocale(locale);
    }
}
exports.default = SetLocale;
