"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class SetTimeZone extends APIFunction_1.APIFunction {
    name = "$dateSetTimeZone";
    description = "Set the system time zone.";
    parameters = [{
            name: "Time Zone",
            description: "Time zone to be set.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$dateSetTimeZone[timeZone]";
    returns = APIFunction_1.ParamType.Unknown;
    aliases = [];
    compile = true;
    async run(d, [tz]) {
        d.setTimeZone(tz);
    }
}
exports.default = SetTimeZone;
