"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const APIFunction_1 = require("../../structures/APIFunction");
const Error_1 = require("../../structures/Error");
const fs_1 = tslib_1.__importDefault(require("fs"));
class AppendContent extends APIFunction_1.APIFunction {
    name = "$appendContent";
    description = "Appends content to the end of the provided file.";
    parameters = [{
            name: "Path",
            description: "The path of the file to append content to.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }, {
            name: "Content",
            description: "The content to append to the file.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$appendContent[path;content]";
    returns = APIFunction_1.ParamType.Unknown;
    compile = true;
    aliases = [];
    async run(d, [path, content]) {
        try {
            fs_1.default.appendFileSync(path, content);
        }
        catch (e) {
            throw new Error_1.EATS_Error("Cannot append content to the file.\n" + e);
        }
    }
}
exports.default = AppendContent;
