"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const APIFunction_1 = require("../../structures/APIFunction");
const Error_1 = require("../../structures/Error");
const fs_1 = tslib_1.__importDefault(require("fs"));
class CreateFolder extends APIFunction_1.APIFunction {
    name = "$createFolder";
    description = "Creates a folder in the provided path.";
    parameters = [{
            name: "Path",
            description: "The path of the file to append content to.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$createFolder[path]";
    returns = APIFunction_1.ParamType.Unknown;
    compile = true;
    aliases = [];
    async run(d, [path]) {
        try {
            fs_1.default.mkdirSync(path);
        }
        catch (e) {
            throw new Error_1.EATS_Error([
                "Unable to create the folder: " + d.function?.name,
                "with reason: " + e
            ].join("\n"));
        }
    }
}
exports.default = CreateFolder;
