"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const APIFunction_1 = require("../../structures/APIFunction");
const Error_1 = require("../../structures/Error");
const fs_1 = tslib_1.__importDefault(require("fs"));
class FileExists extends APIFunction_1.APIFunction {
    name = "$fileExists";
    description = "Check if the provided file exists.";
    parameters = [{
            name: "Path",
            description: "The path of the file to be checked.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$fileExists[path]";
    returns = APIFunction_1.ParamType.Boolean;
    compile = true;
    aliases = [];
    async run(d, [path]) {
        try {
            fs_1.default.existsSync(path);
        }
        catch (e) {
            throw new Error_1.EATS_Error([
                "Unable to check the file path: " + d.function?.name,
                "with reason: " + e
            ].join("\n"));
        }
    }
}
exports.default = FileExists;
