"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const APIFunction_1 = require("../../structures/APIFunction");
const fs_1 = tslib_1.__importDefault(require("fs"));
class ReadFile extends APIFunction_1.APIFunction {
    name = "$readFile";
    description = "Reads the provided file.";
    parameters = [{
            name: "Path",
            description: "The file to be readed.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$readFile[path]";
    returns = APIFunction_1.ParamType.String;
    compile = true;
    aliases = [];
    async run(d, [path]) {
        const content = fs_1.default.readFileSync(path, {
            encoding: "utf-8"
        });
        return content;
    }
}
exports.default = ReadFile;
