"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const APIFunction_1 = require("../../structures/APIFunction");
const fs_1 = tslib_1.__importDefault(require("fs"));
class Readdir extends APIFunction_1.APIFunction {
    name = "$readdir";
    description = "Read a folder and returns its file list.";
    parameters = [{
            name: "Path",
            description: "The path to be readed.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }, {
            name: "Separator",
            description: "Text separator to join the results.",
            type: APIFunction_1.ParamType.String,
            required: false,
            rest: false,
            defaultValue: ","
        }];
    usage = "$readdir[path;separator?]";
    returns = APIFunction_1.ParamType.String;
    compile = true;
    aliases = [];
    async run(d, [path, separator = ","]) {
        const files = fs_1.default.readdirSync(path);
        return files.length === 0 ? "null" : files.join(separator);
    }
}
exports.default = Readdir;
