"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const APIFunction_1 = require("../../structures/APIFunction");
const Error_1 = require("../../structures/Error");
const fs_1 = tslib_1.__importDefault(require("fs"));
class AppendContent extends APIFunction_1.APIFunction {
    name = "$writeFile";
    description = "Replaces the previews content with the content provided into the provided file.";
    parameters = [{
            name: "Path",
            description: "The path of the file to write content to.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }, {
            name: "Content",
            description: "The content to write in the file.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$writeFile[path;content]";
    returns = APIFunction_1.ParamType.Unknown;
    compile = true;
    aliases = [];
    async run(d, [path, content]) {
        try {
            fs_1.default.writeFileSync(path, content);
        }
        catch (e) {
            throw new Error_1.EATS_Error([
                `Unable to write content in file: ${d.function?.name}`,
                `with reason: ${e}`
            ].join("\n"));
        }
    }
}
exports.default = AppendContent;
