"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Error_1 = require("../../structures/Error");
class HTTPStatus extends APIFunction_1.APIFunction {
    name = "$httpStatus";
    description = "Retrieves the status code of the HTTP request.";
    parameters = [];
    usage = this.name;
    returns = APIFunction_1.ParamType.Number;
    compile = true;
    aliases = [];
    async run(d) {
        if (!d.internalVarExists("EATS_REQUEST")) {
            throw new Error_1.EATS_Error("Missing request data in: " + d.function?.name);
        }
        const structure = d.getInternalVar("EATS_REQUEST");
        return structure.status.toString();
    }
}
exports.default = HTTPStatus;
