import { APIFunction, ParamType } from "../../structures/APIFunction";
import { Data } from "../../structures/Data";
export default class TypeOf extends APIFunction {
    name: string;
    description: string;
    parameters: {
        name: string;
        description: string;
        type: ParamType;
        required: boolean;
        rest: boolean;
        defaultValue: null;
    }[];
    usage: string;
    returns: ParamType;
    compile: boolean;
    aliases: never[];
    run(d: Data, [value]: string[]): Promise<"string" | "number" | "bigint" | "boolean" | "symbol" | "undefined" | "object" | "function" | "array">;
}
