"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Util_1 = require("../../classes/Util");
class TypeOf extends APIFunction_1.APIFunction {
    name = "$typeof";
    description = "Returns the type of the given value.";
    parameters = [{
            name: "Value",
            description: "Value to be checked.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$typeof[value]";
    returns = APIFunction_1.ParamType.String;
    compile = true;
    aliases = [];
    async run(d, [value]) {
        const structure = Util_1.Util.parse(value);
        return typeof (structure) === "object"
            ? value.startsWith("[") && value.endsWith("]")
                ? "array" : "object" : typeof (structure);
    }
}
exports.default = TypeOf;
