"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Error_1 = require("../../structures/Error");
const Util_1 = require("../../classes/Util");
class Absolute extends APIFunction_1.APIFunction {
    name = "$abs";
    description = "Returns the absolute value of a number.";
    parameters = [{
            name: "Value",
            description: "Value to extract the absolute from.",
            type: APIFunction_1.ParamType.Number,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$abs[number]";
    returns = APIFunction_1.ParamType.Number;
    aliases = ["$absolute"];
    compile = true;
    async run(d, [value]) {
        if (!Util_1.Util.isNumber(value)) {
            throw new Error_1.EATS_Error(`Invalid number at: ${d.function.name}`);
        }
        return Math.abs(Number(value)).toString();
    }
}
exports.default = Absolute;
;
