"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Error_1 = require("../../structures/Error");
const Util_1 = require("../../classes/Util");
class Atan extends APIFunction_1.APIFunction {
    name = "$atan";
    description = "Returns the arctangent of a number.";
    parameters = [{
            name: "Value",
            description: "A numeric expression for which the arctangent is needed.",
            type: APIFunction_1.ParamType.Number,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$atan[number]";
    returns = APIFunction_1.ParamType.Number;
    aliases = [];
    compile = true;
    async run(d, [value]) {
        if (!Util_1.Util.isNumber(value)) {
            throw new Error_1.EATS_Error(`Invalid number at: ${d.function.name}`);
        }
        return Math.atan(Number(value)).toString();
    }
}
exports.default = Atan;
;
