"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Error_1 = require("../../structures/Error");
class Calculate extends APIFunction_1.APIFunction {
    name = "$calculate";
    description = "Calculates a basic math expression.";
    parameters = [{
            name: "Expression",
            description: "Math expression to be compiled.",
            type: APIFunction_1.ParamType.Number,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$calculate[expression]";
    returns = APIFunction_1.ParamType.Number;
    aliases = ["$math"];
    compile = true;
    async run(d, [expression]) {
        let final;
        try {
            if (expression.replace(/ /g, '').replace(/[\d.*()+-\/]/g, '')) {
                throw new Error_1.EATS_Error("Invalid expression in: " + d.function?.name);
            }
            final = eval(expression.replace(/ /g, ''));
            return final.toString();
        }
        catch {
            throw new Error_1.EATS_Error("Invalid operation provided in: " + d.function?.name);
        }
        ;
    }
}
exports.default = Calculate;
;
