"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Error_1 = require("../../structures/Error");
const Util_1 = require("../../classes/Util");
class Exp extends APIFunction_1.APIFunction {
    name = "$exp";
    description = "Returns e (the base of natural logarithms) raised to a power.";
    parameters = [{
            name: "Value",
            description: "A numeric expression representing the power of e.",
            type: APIFunction_1.ParamType.Number,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$exp[number]";
    returns = APIFunction_1.ParamType.Number;
    aliases = [];
    compile = true;
    async run(d, [value]) {
        if (!Util_1.Util.isNumber(value)) {
            throw new Error_1.EATS_Error(`Invalid number at: ${d.function.name}`);
        }
        return Math.exp(Number(value)).toString();
    }
}
exports.default = Exp;
;
