"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Error_1 = require("../../structures/Error");
const Util_1 = require("../../classes/Util");
class Modulo extends APIFunction_1.APIFunction {
    name = "$modulo";
    description = "Returns the reminder from the given numbers.";
    parameters = [{
            name: "Values",
            description: "Numbers to get their reminders.",
            type: APIFunction_1.ParamType.Number,
            required: true,
            rest: true,
            defaultValue: null
        }];
    usage = "$modulo[numbers]";
    returns = APIFunction_1.ParamType.Number;
    aliases = ["$mod"];
    compile = true;
    async run(d, [...values]) {
        if (values.some(value => !Util_1.Util.isNumber(value))) {
            throw new Error_1.EATS_Error(`Invalid number at: ${d.function.name}`);
        }
        return values.map(n => Number(n)).reduce((a, b) => a % b).toString();
    }
}
exports.default = Modulo;
;
