"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Error_1 = require("../../structures/Error");
const Util_1 = require("../../classes/Util");
class Pow extends APIFunction_1.APIFunction {
    name = "$pow";
    description = "This function calculates the power of several numbers.";
    parameters = [{
            name: "Values",
            description: "Numbers to be 'powered'.",
            type: APIFunction_1.ParamType.Number,
            required: true,
            rest: true,
            defaultValue: null
        }];
    usage = "$pow[...numbers]";
    returns = APIFunction_1.ParamType.Number;
    aliases = [];
    compile = true;
    async run(d, [...values]) {
        if (values.some(value => !Util_1.Util.isNumber(value))) {
            throw new Error_1.EATS_Error(`Invalid number at: ${d.function.name}`);
        }
        return values.map(n => Number(n)).reduce((a, b) => a ** b).toString();
    }
}
exports.default = Pow;
;
