"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Error_1 = require("../../structures/Error");
const Util_1 = require("../../classes/Util");
class RandomNumber extends APIFunction_1.APIFunction {
    name = "$randomNumber";
    description = "Returns a random number between the provided range.";
    parameters = [{
            name: "Minimum",
            description: "The minimum number of the range.",
            type: APIFunction_1.ParamType.Number,
            required: true,
            rest: false,
            defaultValue: null
        }, {
            name: "Maximum",
            description: "The maximum number of the range.",
            type: APIFunction_1.ParamType.Number,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$randomNumber[min;max]";
    returns = APIFunction_1.ParamType.Number;
    aliases = [];
    compile = true;
    async run(d, [min, max]) {
        if (!Util_1.Util.isNumber(min) || !Util_1.Util.isNumber(max)) {
            throw new Error_1.EATS_Error("Invalid number provided in: " + d.function?.name);
        }
        return (Math.round(Math.random() * (Number(max) - Number(min))) + Number(min)).toString();
    }
}
exports.default = RandomNumber;
