"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Error_1 = require("../../structures/Error");
const Util_1 = require("../../classes/Util");
class Round extends APIFunction_1.APIFunction {
    name = "$round";
    description = "Returns a supplied numeric expression rounded to the nearest integer.";
    parameters = [{
            name: "Value",
            description: "The value to be rounded to the nearest integer.",
            type: APIFunction_1.ParamType.Number,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$tan[number]";
    returns = APIFunction_1.ParamType.Number;
    aliases = [];
    compile = true;
    async run(d, [value]) {
        if (!Util_1.Util.isNumber(value)) {
            throw new Error_1.EATS_Error(`Invalid number at: ${d.function.name}`);
        }
        return Math.round(Number(value)).toString();
    }
}
exports.default = Round;
;
