"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Error_1 = require("../../structures/Error");
const Util_1 = require("../../classes/Util");
class Truncate extends APIFunction_1.APIFunction {
    name = "$truncate";
    description = "Removes the decimals digits from a number.";
    parameters = [{
            name: "Value",
            description: "Number to be truncated.",
            type: APIFunction_1.ParamType.Number,
            required: true,
            rest: true,
            defaultValue: null
        }];
    usage = "$truncate[number]";
    returns = APIFunction_1.ParamType.Number;
    aliases = ["$trunc"];
    compile = true;
    async run(d, [value]) {
        if (!Util_1.Util.isNumber(value)) {
            throw new Error_1.EATS_Error(`Invalid number at: ${d.function.name}`);
        }
        return Math.trunc(Number(value)).toString();
    }
}
exports.default = Truncate;
;
