"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class Body extends APIFunction_1.APIFunction {
    name = "$body";
    description = "Retrieves the request body.";
    parameters = [];
    usage = "$body";
    returns = APIFunction_1.ParamType.JSON;
    aliases = ["$getBody"];
    compile = true;
    async run(d) {
        const structure = {};
        const body = d.req.body ?? {};
        for (const [key, value] of Object.entries(body)) {
            structure[key] = value;
        }
        return JSON.stringify(structure);
    }
}
exports.default = Body;
