"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class Header extends APIFunction_1.APIFunction {
    name = "$header";
    description = "Retrieves a request header.";
    parameters = [{
            name: "Name",
            description: "The name of the header to be retrieved.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$header[name]";
    returns = APIFunction_1.ParamType.String;
    aliases = ["$getHeader"];
    compile = true;
    async run(d, [name]) {
        return d.req?.headers?.[name] ?? "null";
    }
}
exports.default = Header;
