"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class Path extends APIFunction_1.APIFunction {
    name = "$path";
    description = "Retrieves a path parameter.";
    parameters = [{
            name: "Name",
            description: "The path parameter name.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$path[name]";
    returns = APIFunction_1.ParamType.String;
    aliases = ["$getPath"];
    compile = true;
    async run(d, [name]) {
        const parameters = d.req.params;
        if (parameters === null)
            return "null";
        return parameters[name] ?? "null";
    }
}
exports.default = Path;
