"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const APIFunction_1 = require("../../structures/APIFunction");
const Error_1 = require("../../structures/Error");
const Util_1 = require("../../classes/Util");
const reply_1 = tslib_1.__importDefault(require("./reply"));
class SetCode extends APIFunction_1.APIFunction {
    name = "$setCode";
    description = "Set the response code.";
    parameters = [{
            name: "Code",
            description: "Status code for the response to be set.",
            type: APIFunction_1.ParamType.Number,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$setCode[code]";
    returns = APIFunction_1.ParamType.Unknown;
    compile = true;
    aliases = [];
    parent = new reply_1.default;
    async run(d, [stringCode]) {
        if (!Util_1.Util.isNumber(stringCode)) {
            throw new Error_1.EATS_Error(`Invalid status code in: ${d.function?.name}`);
        }
        d.parent.setInternalVar("NodeJS.ReplyCode", Number(stringCode));
    }
}
exports.default = SetCode;
