"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Error_1 = require("../../structures/Error");
class ObjectDelete extends APIFunction_1.APIFunction {
    name = "$objectDelete";
    description = "Deletes an object from the environment data.";
    parameters = [{
            name: "Name",
            description: "The name of the object.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$objectDelete[name]";
    returns = APIFunction_1.ParamType.Unknown;
    aliases = ["$deleteObject"];
    compile = true;
    async run(d, [name]) {
        if (!d.internalVarExists(`EATS_OBJ_${name}`)) {
            throw new Error_1.EATS_Error("Invalid object name in: " + d.function?.name);
        }
        d.deleteInternalVar(`EATS_OBJ_${name}`);
    }
}
exports.default = ObjectDelete;
