"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Util_1 = require("../../classes/Util");
class ObjectDelete extends APIFunction_1.APIFunction {
    name = "$objectExists";
    description = "Check if an object exists in the environment data.";
    parameters = [{
            name: "Name",
            description: "The name of the object.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$objectExists[name]";
    returns = APIFunction_1.ParamType.Boolean;
    aliases = [];
    compile = true;
    async run(d, [name]) {
        return Util_1.Util.stringBool(d.internalVarExists(`EATS_OBJ_${name}`));
    }
}
exports.default = ObjectDelete;
