"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Error_1 = require("../../structures/Error");
class ObjectGet extends APIFunction_1.APIFunction {
    name = "$objectGet";
    description = "Gets a previously created object.";
    parameters = [{
            name: "Name",
            description: "The name of the object.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$objectGet[name]";
    returns = APIFunction_1.ParamType.JSON;
    aliases = ["$getObject"];
    compile = true;
    async run(d, [name]) {
        if (!d.internalVarExists(`EATS_OBJ_${name}`)) {
            throw new Error_1.EATS_Error("Invalid object name in: " + d.function?.name);
        }
        return JSON.stringify(d.getInternalVar(`EATS_OBJ_${name}`));
    }
}
exports.default = ObjectGet;
