"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class Choice extends APIFunction_1.APIFunction {
    name = "$choice";
    description = "Returns a random text from all possible options.";
    parameters = [{
            name: "Texts",
            description: "The texts to set as possible options.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: true,
            defaultValue: null
        }];
    usage = "$choice[...texts]";
    returns = APIFunction_1.ParamType.String;
    aliases = ["$randomText", "$randomChoice"];
    compile = true;
    async run(d, [...texts]) {
        return texts.at(Math.floor(Math.random() * texts.length));
    }
}
exports.default = Choice;
