"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class DecodeURI extends APIFunction_1.APIFunction {
    name = "$decodeURI";
    description = "Decodes a string to URL format.";
    parameters = [{
            name: "Text",
            description: "The text to be decoded.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$decodeURI[text]";
    returns = APIFunction_1.ParamType.String;
    aliases = ["$decodeURIComponent"];
    compile = true;
    async run(d, [text]) {
        return decodeURIComponent(text).toString();
    }
}
exports.default = DecodeURI;
