"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class EncodeURI extends APIFunction_1.APIFunction {
    name = "$encodeURI";
    description = "Encodes a string to URL format.";
    parameters = [{
            name: "Text",
            description: "The text to be encoded.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$encodeURI[text]";
    returns = APIFunction_1.ParamType.String;
    aliases = ["$encodeURIComponent"];
    compile = true;
    async run(d, [text]) {
        return encodeURIComponent(text).toString();
    }
}
exports.default = EncodeURI;
