"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class LowerCase extends APIFunction_1.APIFunction {
    name = "$lowercase";
    description = "Converts a text to lowercase.";
    parameters = [{
            name: "Text",
            description: "The text to be converted.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$lowercase[text]";
    returns = APIFunction_1.ParamType.String;
    aliases = ["$toLowerCase", "$lower"];
    compile = true;
    async run(d, [text]) {
        return text.toLowerCase();
    }
}
exports.default = LowerCase;
