"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Error_1 = require("../../structures/Error");
const Util_1 = require("../../classes/Util");
const POSSIBLE_CHARS = "abcdefghijklmnñopqrstuvwxyz".split("");
POSSIBLE_CHARS.push(...POSSIBLE_CHARS.map(char => char.toUpperCase()));
POSSIBLE_CHARS.push(..."1234567890".split(""));
class RandomString extends APIFunction_1.APIFunction {
    name = "$randomString";
    description = "Generates a random string.";
    parameters = [{
            name: "Length",
            description: "The length for the text to be generated.",
            type: APIFunction_1.ParamType.String,
            required: false,
            rest: false,
            defaultValue: "5"
        }];
    usage = "$randomString[length?]";
    returns = APIFunction_1.ParamType.String;
    aliases = [];
    compile = true;
    async run(d, [length = "5"]) {
        if (!Util_1.Util.isNumber(length)) {
            throw new Error_1.EATS_Error("Invalid text length in: " + d.function?.name);
        }
        let generated = "";
        for (let i = 0; i < (Number(length)); i++) {
            generated += POSSIBLE_CHARS[Math.floor(Math.random() * POSSIBLE_CHARS.length)];
        }
        return generated;
    }
}
exports.default = RandomString;
