"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class StringConcat extends APIFunction_1.APIFunction {
    name = "$stringConcat";
    description = "Converts a text to lowercase.";
    parameters = [{
            name: "Text",
            description: "The text to be converted.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }, {
            name: "Texts",
            description: "The texts to be concatenated.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: true,
            defaultValue: null
        }];
    usage = "$stringConcat[text;...texts]";
    returns = APIFunction_1.ParamType.String;
    aliases = ["$concat", "$concatString"];
    compile = true;
    async run(d, [base, ...texts]) {
        for (const text of texts) {
            base = base + text;
        }
        return base;
    }
}
exports.default = StringConcat;
