"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Util_1 = require("../../classes/Util");
class StringIncludes extends APIFunction_1.APIFunction {
    name = "$stringIncludes";
    description = "Returns whether the given text includes the provided word.";
    parameters = [{
            name: "Text",
            description: "The text to work with.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }, {
            name: "Word",
            description: "The word to be matched.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$stringIncludes[text;word]";
    returns = APIFunction_1.ParamType.Boolean;
    aliases = ["$checkContains", "$includes", "$hasText"];
    compile = true;
    async run(d, [text, word]) {
        return Util_1.Util.stringBool(text.includes(word));
    }
}
exports.default = StringIncludes;
