"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class StringLength extends APIFunction_1.APIFunction {
    name = "$stringLength";
    description = "Returns the character count of the provided text.";
    parameters = [{
            name: "Text",
            description: "The text to work with.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$stringLength[text]";
    returns = APIFunction_1.ParamType.Number;
    aliases = ["$charCount"];
    compile = true;
    async run(d, [text]) {
        return text.length.toString();
    }
}
exports.default = StringLength;
