"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Error_1 = require("../../structures/Error");
const Util_1 = require("../../classes/Util");
class StringRepeat extends APIFunction_1.APIFunction {
    name = "$stringRepeat";
    description = "Repeat the given text certain amount of times.";
    parameters = [{
            name: "Text",
            description: "The text to work with.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }, {
            name: "Times",
            description: "How many times to repeat the word.",
            type: APIFunction_1.ParamType.Number,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$stringRepeat[text;times]";
    returns = APIFunction_1.ParamType.String;
    aliases = ["$repeatText", "$repeat"];
    compile = true;
    async run(d, [text, times]) {
        if (!Util_1.Util.isNumber(times)) {
            throw new Error_1.EATS_Error("Invalid number in: " + d.function?.name);
        }
        return text.repeat(Number(times));
    }
}
exports.default = StringRepeat;
