"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Util_1 = require("../../classes/Util");
class StringReplace extends APIFunction_1.APIFunction {
    name = "$stringStartsWith";
    description = "Returns whether the given text starts with the provided word.";
    parameters = [{
            name: "Text",
            description: "The text to work with.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }, {
            name: "Match",
            description: "The word to be matched.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }, {
            name: "Replacer",
            description: "The word to replace the match with.",
            type: APIFunction_1.ParamType.String,
            required: false,
            rest: false,
            defaultValue: " "
        }, {
            name: "Strict",
            description: "Whether strictly replace all ocurrences.",
            type: APIFunction_1.ParamType.Boolean,
            required: false,
            rest: false,
            defaultValue: "true"
        }];
    usage = "$stringReplace[text;word;replacer?;strict?]";
    returns = APIFunction_1.ParamType.String;
    aliases = ["$replace", "$replaceText"];
    compile = true;
    async run(d, [text, match, replacer = "", strict = "true"]) {
        return text[Util_1.Util.booleanify(strict) ? "replaceAll" : "replace"](match, replacer);
    }
}
exports.default = StringReplace;
