"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Util_1 = require("../../classes/Util");
class StringStartsWith extends APIFunction_1.APIFunction {
    name = "$stringStartsWith";
    description = "Returns whether the given text starts with the provided word.";
    parameters = [{
            name: "Text",
            description: "The text to work with.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }, {
            name: "Word",
            description: "The word to be matched.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$stringStartsWith[text;word]";
    returns = APIFunction_1.ParamType.Boolean;
    aliases = ["$startsWith"];
    compile = true;
    async run(d, [text, word]) {
        return Util_1.Util.stringBool(text.startsWith(word));
    }
}
exports.default = StringStartsWith;
