"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class StringTrim extends APIFunction_1.APIFunction {
    name = "$stringTrim";
    description = "Trim spaces from start and end of the given text.";
    parameters = [{
            name: "Text",
            description: "The text to work with.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$stringTrim[text]";
    returns = APIFunction_1.ParamType.String;
    aliases = ["$trim", "$trimSpace"];
    compile = true;
    async run(d, [text]) {
        return text.trim();
    }
}
exports.default = StringTrim;
