"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class TitleCase extends APIFunction_1.APIFunction {
    name = "$toTitleCase";
    description = "Converts a text to title case.";
    parameters = [{
            name: "Text",
            description: "The text to work with.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$toTitleCase[text]";
    returns = APIFunction_1.ParamType.String;
    aliases = ["$titleCase"];
    compile = true;
    async run(d, [text]) {
        return text.split(" ").map(x => x.charAt(0).toUpperCase() + x.slice(1)).join(" ");
    }
}
exports.default = TitleCase;
