"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class UpperCase extends APIFunction_1.APIFunction {
    name = "$uppercase";
    description = "Converts a text to uppercase.";
    parameters = [{
            name: "Text",
            description: "The text to be converted.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$uppercase[text]";
    returns = APIFunction_1.ParamType.String;
    aliases = ["$toUpperCase", "$upper"];
    compile = true;
    async run(d, [text]) {
        return text.toUpperCase();
    }
}
exports.default = UpperCase;
