"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
const Error_1 = require("../../structures/Error");
class Delete extends APIFunction_1.APIFunction {
    name = "$delete";
    description = "Delete a environment variable.";
    parameters = [{
            name: "Variable Name",
            description: "Variable name to be deleted from the environment.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$delete[varName]";
    returns = APIFunction_1.ParamType.Unknown;
    compile = true;
    aliases = [];
    async run(d, [name]) {
        if (!d.varExists(name)) {
            throw new Error_1.EATS_Error(`Invalid variable name "${name}" at: ${d.function?.name}`);
        }
        d.deleteVar(name);
    }
}
exports.default = Delete;
