"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class DeleteVar extends APIFunction_1.APIFunction {
    name = "$deleteVar";
    description = [
        "Delete a variable from the database.",
        "> Shown usage belongs to the default database.",
        "> Usage can change if another databases are used."
    ].join("\n");
    parameters = [{
            name: "Variable Name",
            description: "Variable name to be deleted from the database.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }, {
            name: "Table",
            description: "Database table to delete the variable from.",
            type: APIFunction_1.ParamType.String,
            required: false,
            rest: false,
            defaultValue: "main"
        }];
    usage = "$deleteVar[varName;table?]";
    returns = APIFunction_1.ParamType.Unknown;
    aliases = [];
    compile = true;
    async run(d, [...args]) {
        return await d.server.db.deleteValue(...args);
    }
}
exports.default = DeleteVar;
