"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class GetVar extends APIFunction_1.APIFunction {
    name = "$getVar";
    description = [
        "Get a variable from the database.",
        "> Shown usage belongs to the default database.",
        "> Usage can change if another databases are used."
    ].join("\n");
    parameters = [{
            name: "Variable Name",
            description: "Variable name to be retrieves from the database.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }, {
            name: "Table",
            description: "Database table to get the variable from.",
            type: APIFunction_1.ParamType.String,
            required: false,
            rest: false,
            defaultValue: "main"
        }];
    usage = "$getVar[varName;table?]";
    returns = APIFunction_1.ParamType.String;
    aliases = [];
    compile = true;
    async run(d, [...args]) {
        return await d.server.db.getValue(...args);
    }
}
exports.default = GetVar;
