"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class HasVar extends APIFunction_1.APIFunction {
    name = "$hasVar";
    description = [
        "Check if a variable exists in the database.",
        "> Shown usage belongs to the default database.",
        "> Usage can change if another databases are used."
    ].join("\n");
    parameters = [{
            name: "Variable Name",
            description: "Variable name to be created in the database.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }, {
            name: "Table",
            description: "Database table to check the variable in.",
            type: APIFunction_1.ParamType.String,
            required: false,
            rest: false,
            defaultValue: "main"
        }];
    usage = "$hasVar[varName;table?]";
    returns = APIFunction_1.ParamType.Unknown;
    aliases = [];
    compile = true;
    async run(d, [...args]) {
        return await d.server.db.hasValue(...args);
    }
}
exports.default = HasVar;
