"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class $set extends APIFunction_1.APIFunction {
    name = "$set";
    description = "Creates a environment variable.";
    parameters = [{
            name: "Variable Name",
            description: "Variable name to be created in the environment.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }, {
            name: "Variable Value",
            description: "The value for the environment variable.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }];
    usage = "$set[varName;value]";
    returns = APIFunction_1.ParamType.Unknown;
    aliases = ["$var", "$let", "$createTemporaryVar"];
    compile = true;
    async run(d, [name, value]) {
        d.setVar(name, value);
    }
}
exports.default = $set;
