"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const APIFunction_1 = require("../../structures/APIFunction");
class SetVar extends APIFunction_1.APIFunction {
    name = "$setVar";
    description = [
        "Creates a variable in the database.",
        "> Shown usage belongs to the default database.",
        "> Usage can change if another databases are used."
    ].join("\n");
    parameters = [{
            name: "Variable Name",
            description: "Variable name to be created in the database.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }, {
            name: "Variable Value",
            description: "The value for the variable.",
            type: APIFunction_1.ParamType.String,
            required: true,
            rest: false,
            defaultValue: null
        }, {
            name: "Table",
            description: "Database table to save the variable into.",
            type: APIFunction_1.ParamType.String,
            required: false,
            rest: false,
            defaultValue: "main"
        }];
    usage = "$setVar[varName;value;table?]";
    returns = APIFunction_1.ParamType.Unknown;
    aliases = [];
    compile = true;
    async run(d, [...args]) {
        return await d.server.db.setValue(...args);
    }
}
exports.default = SetVar;
