"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Util = exports.ParamType = exports.EATS_Error = exports.DatabaseManager = exports.FunctionManager = exports.Data = exports.APIFunction = exports.API = exports.Addon = void 0;
exports.Escape = Escape;
exports.Unescape = Unescape;
const API_1 = require("./structures/API");
Object.defineProperty(exports, "API", { enumerable: true, get: function () { return API_1.API; } });
const APIFunction_1 = require("./structures/APIFunction");
Object.defineProperty(exports, "APIFunction", { enumerable: true, get: function () { return APIFunction_1.APIFunction; } });
Object.defineProperty(exports, "ParamType", { enumerable: true, get: function () { return APIFunction_1.ParamType; } });
const FunctionManager_1 = require("./managers/FunctionManager");
Object.defineProperty(exports, "FunctionManager", { enumerable: true, get: function () { return FunctionManager_1.FunctionManager; } });
const DatabaseManager_1 = require("./managers/DatabaseManager");
Object.defineProperty(exports, "DatabaseManager", { enumerable: true, get: function () { return DatabaseManager_1.DatabaseManager; } });
const Error_1 = require("./structures/Error");
Object.defineProperty(exports, "EATS_Error", { enumerable: true, get: function () { return Error_1.EATS_Error; } });
const Addon_1 = require("./structures/Addon");
Object.defineProperty(exports, "Addon", { enumerable: true, get: function () { return Addon_1.Addon; } });
const Data_1 = require("./structures/Data");
Object.defineProperty(exports, "Data", { enumerable: true, get: function () { return Data_1.Data; } });
const Util_1 = require("./classes/Util");
Object.defineProperty(exports, "Util", { enumerable: true, get: function () { return Util_1.Util; } });
const escapers = [
    ["%SPACE%", " "],
    ["%AT%", "@"],
    ["%RIGHT%", "["],
    ["%LEFT%", "]"],
    ["%SEMI%", ";"],
    ["%COLON%", ":"],
    ["%OR%", "||"],
    ["%AND%", "&&"],
    ["%RPAREN%", "("],
    ["%LPAREN%", ")"],
    ["%DOL%", "$"],
    ["%NULL%", ""]
];
/**
 * Escapes easy-api.ts code
 * @param {string} str The code to escapw.
 */
function Escape(str) {
    for (const e of escapers) {
        str = str.replaceAll(e[1], e[0]);
    }
    return str;
}
/**
 * Unescapes easy-api.ts code
 * @param {string} str The code to unescapw.
 */
function Unescape(str) {
    for (const e of escapers) {
        str = str.replaceAll(e[0], e[1]);
    }
    return str;
}
